size = { 16, 50 }

defineProperty("menu1", loadImage("menu1.png", 246, 0, 16, 50))
defineProperty("customslider1", globalPropertyi("cl300/customslider1"))


components = {
    textureLit {
        position = { 0, 0, 8, 25 },
        image = get(menu1)

    },

		    clickable {
       position = {  0, 0, 8, 25  },

       cursor = {
            x = 10,
            y = 28,
            width = 16,
            height = 16,
            shape = loadImage("rotateright.png")

        },
        onMouseClick = function()
			if get(customslider1) < 1 then
			set(customslider1, 1)
			else
			set(customslider1, 0)
			end
        end
    },

}
